com.google.gwt.dom.builder.shared

## Interface VideoBuilder

- All Superinterfaces:
    ElementBuilderBase<VideoBuilder>, MediaBuilder<VideoBuilder>
  All Known Implementing Classes:
    DomVideoBuilder, HtmlVideoBuilder

      public interface VideoBuilder
      extends MediaBuilder<VideoBuilder>

  Builds an video element.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `VideoBuilder` | `height(int height)` Sets the height of the element.
    `VideoBuilder` | `poster(java.lang.String url)` Sets the poster URL.
    `VideoBuilder` | `width(int width)` Sets the width of the element.

    - ### Methods inherited from interface com.google.gwt.dom.builder.shared.MediaBuilder

      `autoplay, controls, loop, muted, preload, src`

    - ### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

      `attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

- - ### Method Detail

    - #### height

          VideoBuilder height(int height)

      Sets the height of the element.
      Parameters:
        `height` - the height, in pixels

    - #### poster

          VideoBuilder poster(java.lang.String url)

      Sets the poster URL.
      Parameters:
        `url` - the poster image URL

    - #### width

          VideoBuilder width(int width)

      Sets the width of the element.
      Parameters:
        `width` - the width, in pixels